web-dev-qa-db-ja.com

グローバルにインストールされたnpmパッケージを更新する方法

コマンド:npm outdated -g

出力:

Package           Current  Wanted  Latest  Location

@angular/cli        1.3.1   1.7.4   7.0.5
create-react-app    1.5.2   1.5.2   2.1.1
eslint              5.6.0   5.9.0   5.9.0
expo-cli            2.2.0   2.3.8   2.3.8
gulp-cli            1.4.0   1.4.0   2.0.1
how-to-npm          2.5.0   2.5.1   2.5.1
mocha               3.5.0   3.5.3   5.2.0
nodemon            1.18.3  1.18.6  1.18.6
now                11.4.6  11.5.2  12.0.1
serve              10.0.1  10.0.2  10.0.2
TypeScript          2.4.2   2.9.2   3.1.6
yarn                1.9.4  1.12.3  1.12.3

Npmでこれらの古いパッケージを更新するにはどうすればよいですか?

10
Akash Sawant

すべてのグローバルパッケージを更新する場合

npm update -g

特定のグローバルパッケージを更新する場合

npm update -g <package_name>
17
Mohit Tilwani

Mohitの回答に追加するには、NPM 2.6以下を使用している場合、そのシナリオで更新を処理するのに便利ないくつかのスクリプトがあります: https://Gist.github.com/othiym23/4ac31155da23962afd0e

説明した2つのファイルを作成し、コマンドプロンプトから実行する必要があります。これにより、パッケージが更新されますall。選択的な更新については、2014年10月20日のDylangのコメントへの上のリンクのページを下にスクロールしてください。2014年11月6日の以下のコメントは、Windows環境用のスクリプトに接続します。

長期的なメンテナンスを見ると、最善の解決策は、次のコマンドを実行して最初にNPMを更新することです。

npm install [email protected] -g

プロセスのかなり包括的なドキュメントは https://docs.npmjs.com/updating-packages-downloaded-from-the-registry にあります。

0
Bytech